<div class="assignmentSkillWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Final Evaluation Type</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Evaluation Type
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Evaluation Type Name</th>
        <th>Evaluation Type Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentBadgeObj of assignmentCategoryList">
       <!-- {{assignmentBadgeObj|json}}-->
        <td>{{assignmentBadgeObj.assignmentEvaluationName}}</td>
        <td>{{assignmentBadgeObj.assignmentEvaluationDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentBadgeObj)">
          Edit Evaluation Type
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentBadgeObj)">
          Delete Evaluation Type
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentCategory">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Evaluation Type</h4>
        <h4  *ngIf="isEdit">Edit Evaluation Type</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentCatrogory="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentCategoryObj.touched && assignmentCategoryObj.invalid">
              <label for="assignmentName"> Evaluation Type Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentCategoryObj.assignmentEvaluationName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder=" Evaluation Name "/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Evaluation Type Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Evaluation Type Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentCategoryObj.assignmentEvaluationDesp" required name=description id="description"
                    placeholder=" Evaluation Despcription "      #description="ngModel"  style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter Evaluation Type Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentCategory()" [disabled]="!assignmentCatrogory.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentBadge()" [disabled]="!assignmentCatrogory.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentCategory">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Category</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.assignmentEvaluationName}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentCategory(deletebadgeObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
